<?php

include_once 'cabecalho.html';
include_once 'connection.php';

$nome       = "";
$cargo      = "";
$matricula  = "";

if (isset($_GET["nome"]) && isset($_GET["cargo"]) && 
    isset($_GET["matricula"])
   ) {
    $nome       = mysql_real_escape_string($_GET["nome"]);  
    $cargo      = mysql_real_escape_string($_GET["cargo"]);
    $matricula  = mysql_real_escape_string($_GET["matricula"]);
}

//Verifica inserção de valores vazios
if (!empty($nome) && !empty($cargo) && !empty($matricula)) {
    $sql = $con->prepare(
            "SELECT matricula FROM Funcionario as f "
          . "WHERE f.matricula = ?");

    if ($sql) {
        $sql->bind_param('i', $matricula);
        $sql->execute();
        //bind_result - após fetch() insere o resultado em $mat_res
        $sql->bind_result($mat_res);  

        /* fetch() - coloca os resultados nas variáveis determinadas
         * por bind_result. True se os dados forem obtidos. 
         */
        if (!$sql->fetch()) {

            $cad = $con->prepare(
                    "INSERT INTO Funcionario COMPLETAR");
            if ($cad) {
                $cad->bind_param("COMPLETAR");
                $insert = $cad->execute();

                if ($insert) {
                    echo "Usuário cadastrado com sucesso!";
                } 
            } 
        } else {
            echo "O usuário já está cadastrado!";
        }
    } 
} else {
    echo "Erro: " . "Digite corretamente as informações. Os valores não podem ser vazios!";
}

include_once 'rodape.html';
?>